classification
Title: Allow 'continue' in 'finally' clause
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: gvanrossum, nitishch, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-01-03 21:11 by serhiy.storchaka, last changed 2018-03-18 09:56 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5822 merged serhiy.storchaka, 2018-02-22 21:44
Messages (5)
msg309434 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-01-03 21:11
A 'continue' statement is illegal in the 'finally' clause due to a problem with the current implementation. After resolving issue17611 it will be easy to remove this restriction.
msg309436 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-01-03 21:16
See the patch against PR 5006 at https://github.com/serhiy-storchaka/cpython/pull/2.
msg309441 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2018-01-03 21:53
I think this should be accepted once the code is reviewed.
msg313638 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-03-12 11:30
If there are no objections I'll merge this PR soon.
msg314031 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-03-18 07:56
New changeset fe2bbb1869b42222a3f331a3dfb8b304a19a5819 by Serhiy Storchaka in branch 'master':
bpo-32489: Allow 'continue' in 'finally' clause. (GH-5822)
https://github.com/python/cpython/commit/fe2bbb1869b42222a3f331a3dfb8b304a19a5819
History
Date User Action Args
2018-03-18 09:56:09serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-03-18 07:56:55serhiy.storchakasetmessages: + msg314031
2018-03-12 11:30:54serhiy.storchakasetmessages: + msg313638
versions: + Python 3.8, - Python 3.7
2018-02-22 21:44:24serhiy.storchakasetpull_requests: + pull_request5599
2018-02-14 03:26:38nitishchsetnosy: + nitishch
2018-02-13 11:29:16serhiy.storchakasetpull_requests: - pull_request5461
2018-02-13 11:28:47serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request5461
2018-01-03 21:53:15gvanrossumsetmessages: + msg309441
2018-01-03 21:16:42serhiy.storchakasetmessages: + msg309436
2018-01-03 21:11:07serhiy.storchakacreate